Bug 517269 - Guess username from fullname
Summary: Guess username from fullname
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: firstboot
Version: 14
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Martin Gracik
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-08-13 10:31 UTC by paolo borelli
Modified: 2013-07-04 12:47 UTC (History)
1 user (show)

Fixed In Version: firstboot-1.114-1
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-01-18 12:55:32 UTC


Attachments (Terms of Use)
proposed patch (3.04 KB, patch)
2009-08-13 10:33 UTC, paolo borelli
no flags Details | Diff

Description paolo borelli 2009-08-13 10:31:33 UTC
The attached patch changes the createuser page a little, by moving fullname before username and adding code that provides a good guess for the username based on the fullname, e.g:

Full Name: Paolo Borelli
User Name: paolo

Where the string 'paolo' is automatically inserted while I type 'Paolo Borelli' (obviously the use is then free to enter a different username value)


I think this makes the page more usable since

1) Many people I know use their first name as user name and this saves typing it twice
2) first time linux users may not know what the "username" is, while they know their full name and this provides a good default for username


Other distros already do it this way, as a matter of fact this has always bugged me when I install fedora, so I decided to sit down and write a patch :)

Comment 1 paolo borelli 2009-08-13 10:33:27 UTC
Created attachment 357300 [details]
proposed patch

Comment 2 Bug Zapper 2009-11-16 11:23:12 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 3 Bug Zapper 2010-11-04 10:31:19 UTC
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 4 paolo borelli 2010-11-04 10:38:15 UTC
Bug (and patch!) are still relevant.

Comment 5 Martin Gracik 2010-11-10 14:54:17 UTC
Fixed in version firstboot-1.114-1


Note You need to log in before you can comment on or make changes to this bug.